Click or drag to resize
GeometryBaseRotate Method
Rotates the object about the specified axis. A positive rotation angle results in a counter-clockwise rotation about the axis (right hand rule).

Namespace: Rhino.Geometry
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public bool Rotate(
	double angleRadians,
	Vector3d rotationAxis,
	Point3d rotationCenter
)

Parameters

angleRadians
Type: SystemDouble
Angle of rotation in radians.
rotationAxis
Type: Rhino.GeometryVector3d
Direction of the axis of rotation.
rotationCenter
Type: Rhino.GeometryPoint3d
Point on the axis of rotation.

Return Value

Type: Boolean
true if geometry successfully rotated.
See Also